Bug 20459 - Correct message for cancelling an article request
Summary: Correct message for cancelling an article request
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14610
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-22 09:34 UTC by Marcel de Rooy
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20459: Correct message for cancelling an article request (2.53 KB, patch)
2018-03-22 09:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20459: Correct message for cancelling an article request (2.63 KB, patch)
2018-03-23 14:10 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-03-22 09:34:11 UTC
Cancel this hold was just copied/pasted with a TODO ;)
Comment 1 Marcel de Rooy 2018-03-22 09:54:23 UTC
Created attachment 73151 [details] [review]
Bug 20459: Correct message for cancelling an article request

We should not ask for 'cancel this hold'. Remove corresponding TODO.

Fix qa warning on old bootstrap style:
    btn btn-mini => btn btn-default btn-xs

Test plan:
Create an article request and cancel it on opac-user.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2018-03-22 09:56:17 UTC
String patch / moving to SO queue
Comment 3 Nick Clemens 2018-03-23 14:10:53 UTC
Created attachment 73183 [details] [review]
Bug 20459: Correct message for cancelling an article request

We should not ask for 'cancel this hold'. Remove corresponding TODO.

Fix qa warning on old bootstrap style:
    btn btn-mini => btn btn-default btn-xs
I removed above change, qa tool complaint is wrong (refers to staff, we
        are on opac)

Test plan:
Create an article request and cancel it on opac-user.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2018-03-26 20:39:01 UTC
Pushed to master for 18.05, thanks to everybody involved!